Name:           amsynth
Version:        1.7.1
Release:        1%{?dist}
Summary:        A classic synthesizer with dual oscillators

License:        GPLv2+
URL:            http://amsynth.github.io/
Source0:        https://github.com/nixxcode/%{name}/releases/download/release-%{version}/%{name}-%{version}.tar.bz2
#Source1:       %%{name}.appdata.xml
Source2:        lv2-%{name}-plugin.metainfo.xml
Source3:        dssi-%{name}-plugin.metainfo.xml
Source4:        vst-%{name}-plugin.metainfo.xml

BuildRequires:  gtk2-devel gtkmm24-devel
BuildRequires:  jack-audio-connection-kit-devel lash-devel libsndfile-devel libsndfile-utils
BuildRequires:  mesa-libGL-devel mesa-libEGL-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  intltool
Requires:       jack-audio-connection-kit libsndfile-utils lash
Requires:       hicolor-icon-theme
Requires:       %{name}-data = %{version}-%{release}

%description
Amsynth is a software synthesis that provides a
classic subtractive synthesizer topology, with:

- Dual oscillators with classic waveforms - sine / saw / square / noise
- 12/24 dB/octave low/high/band-pass resonant filter
- Independent ADSR envelopes for filter and amplitude
- LFO which can modulate the oscillators, filter, and amplitude
- Distortion
- Reverb

%package data
BuildArch: noarch
Summary: Data files for amsynth
%description data
Sound banks and skins used in amsynth

%package -n lv2-amsynth-plugin
Summary: Amsynth lv2 plugin
Requires: lv2
Requires: %{name}-data = %{version}-%{release}
Obsoletes: lv2-amsynth-plugins

%description -n lv2-amsynth-plugin
Amsynth plugin for the lv2 audio standard


%package -n dssi-amsynth-plugin
Summary: Amsynth dssi plugin
BuildRequires: dssi-devel liblo liblo-devel
Requires:      dssi
Requires: %{name}-data = %{version}-%{release}
Obsoletes: dssi-amsynth-plugins

%description -n dssi-amsynth-plugin
Amsynth plugin for the dssi audio API

%package -n vst-amsynth-plugin
Summary: Amsynth lv2 plugin
Requires: %{name}-data = %{version}-%{release}
Obsoletes: vst-amsynth-plugins

%description -n vst-amsynth-plugin
Amsynth plugin for the vst protocl


%prep
%setup -q


%build
# Build in C++11 mode as glibmm headers use C++11 features. This can be dropped
# when GCC in Fedora switches to C++11 by default (with GCC 6, most likely).
export CXXFLAGS="%{optflags} -std=c++11"

%configure --with-jack --with-alsa --with-jack --with-sndfile --with-lash --with-dssi --prefix=/usr
make %{?_smp_mflags}


%install
%make_install

# Install appdata files
install -pDm644 %{SOURCE2} %{buildroot}%{_datadir}/appdata/
install -pDm644 %{SOURCE3} %{buildroot}%{_datadir}/appdata/
install -pDm644 %{SOURCE4} %{buildroot}%{_datadir}/appdata/

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/*%{name}.*.xml

%find_lang %{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/appdata/%{name}.appdata.xml

%files data -f %{name}.lang
%doc README AUTHORS
%license COPYING
%{_datadir}/%{name}

%files -n lv2-amsynth-plugin
%{_libdir}/lv2/%{name}.lv2/
%{_datadir}/appdata/lv2-%{name}-plugin.metainfo.xml

%files -n dssi-amsynth-plugin
%{_libdir}/dssi/%{name}_dssi.so
%{_libdir}/dssi/%{name}_dssi/
%{_datadir}/appdata/dssi-%{name}-plugin.metainfo.xml

%files -n vst-amsynth-plugin
%{_libdir}/vst/%{name}_vst.so
%{_datadir}/appdata/vst-%{name}-plugin.metainfo.xml

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%changelog
* Fri Mar 17 2017 Alexandre Moine <nobrakal@gmail.com> - 1.7.1-1
- New upstream release

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Oct 09 2016 Alexandre Moine <nobrakal@gmail.com> 1.7.0-1
- Update to new upstream 1.7.0
- Add support for translation
- Move icon from pixmaps to hicolor

* Tue Apr 19 2016 Alexandre Moine <nobrakal@gmail.com> 1.6.4-1
- Update to new maintenance upstream 1.6.4

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 1 2015 Alexandre Moine <nobrakal@gmail.com> 1.6.3-1
- Update to new maintenance upstream 1.6.3

* Mon Oct 26 2015 Alexandre Moine <nobrakal@gmail.com> 1.6.2-1
- Update to new maintenance upstream 1.6.2

* Sun Oct 11 2015 Alexandre Moine <nobrakal@gmail.com> 1.6.1-1
- Update to new maintenance upstream 1.6.1

* Mon Sep 28 2015 Alexandre Moine <nobrakal@gmail.com> 1.6.0-1
- Update to new upstream 1.6.0
- Add the new vst plugin in a new sub-package.
- Remove ugly plurals of "plugins". There is only one.
- Fix build with new gtkmm24

* Mon Sep 07 2015 Richard Hughes <richard@hughsie.com> 1.5.1-6
- Remove the invalid ZERO WIDTH SPACE chars from the metainfo files.

* Sat Sep 05 2015 Alexandre Moine <nobrakal@gmail.com> 1.5.1-5
- Move license files to the -data subpackage.
- Use fully versioned dependency in subpackages.
- Update the description of -the data subpackage.
- Add the skins/README as a doc file.

* Thu Sep 03 2015 Alexandre Moine <nobrakal@gmail.com> 1.5.1-4
- Each plugins have now their licenses files and docs.
- Data subpackae for data files required by plugins.

* Thu Jun 04 2015 Alexandre Moine <nobrakal@gmail.com> 1.5.1-3
- CHange the name of the dssi subckage to dssi-amsytnh-plugins.

* Tue Jun 02 2015 Alexandre Moine <nobrakal@gmail.com> 1.5.1-2
- Add the support of alsa, lash and dssi. Can now export with libsndfile.
- New subpackage for dssi's plugins.
- Use now the right license: GPLv2+

* Sat May 30 2015 Alexandre Moine <nobrakal@gmail.com> 1.5.1-1
- Initial spec

